<?php
/**
* @package phpBB Extension - UCP Sidebar
* @copyright (c) 2018 Sniper_E - https://www.sniper-e.com
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*/

namespace sniper\ucpsidebar\migrations;

class ucpsidebar_schema extends \phpbb\db\migration\migration
{
	public function update_data()
	{
		return array(
			array('config.add', array('ucpsidebar_version', '1.0.2')),
		);
	}

	public function effectively_installed()
	{
		return $this->db_tools->sql_column_exists($this->table_prefix . 'users', 'user_sidebar_right');
	}

	public function update_schema()
	{
		return array(
			'add_columns'	=> array(
				$this->table_prefix . 'users'	=> array(
					'user_sidebar_right' => array('BOOL', 1),
					'user_sidebar_light' => array('BOOL', 1),
				),
			),
		);
	}

	public function revert_schema()
	{
		return array(
			'drop_columns'	=> array(
				$this->table_prefix . 'users' => array(
					'user_sidebar_right',
					'user_sidebar_light',
				),
			),
		);
	}
}
